curl --request POST \
--url https://apis.vectalk.com.br/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product": "whatsapp",
"to": "5511999999999",
"type": "interactive",
"interactive": {
"type": "button",
"header": { "type": "text", "text": "Confirmação de pedido" },
"body": { "text": "Deseja confirmar seu pedido?" },
"footer": { "text": "Responda abaixo" },
"action": {
"buttons": [
{ "type": "reply", "reply": { "id": "confirm_yes", "title": "Sim, confirmar" } },
{ "type": "reply", "reply": { "id": "confirm_no", "title": "Cancelar" } }
]
}
}
}'
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}
Envie uma mensagem com até 3 botões de resposta rápida
curl --request POST \
--url https://apis.vectalk.com.br/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product": "whatsapp",
"to": "5511999999999",
"type": "interactive",
"interactive": {
"type": "button",
"header": { "type": "text", "text": "Confirmação de pedido" },
"body": { "text": "Deseja confirmar seu pedido?" },
"footer": { "text": "Responda abaixo" },
"action": {
"buttons": [
{ "type": "reply", "reply": { "id": "confirm_yes", "title": "Sim, confirmar" } },
{ "type": "reply", "reply": { "id": "confirm_no", "title": "Cancelar" } }
]
}
}
}'
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}
Hide campos
Hide campos
curl --request POST \
--url https://apis.vectalk.com.br/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product": "whatsapp",
"to": "5511999999999",
"type": "interactive",
"interactive": {
"type": "button",
"header": { "type": "text", "text": "Confirmação de pedido" },
"body": { "text": "Deseja confirmar seu pedido?" },
"footer": { "text": "Responda abaixo" },
"action": {
"buttons": [
{ "type": "reply", "reply": { "id": "confirm_yes", "title": "Sim, confirmar" } },
{ "type": "reply", "reply": { "id": "confirm_no", "title": "Cancelar" } }
]
}
}
}'
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}